Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
- Adaptations
- Analyzer
- AnalyzerPlugins
- Checkable
- ConstantFolder
- ContextErrors
- ContextMode
- Contexts
- DestructureTypes
- Duplicators
- EtaExpansion
- Fingerprint
- Implicits
- ImplicitsStats
- Infer
- MacroAnnotationAttachments
- MacroAnnotationNamers
- Macros
- MacrosStats
- MethodSynthesis
- Namers
- NamesDefaults
- PatternTypers
- RefChecks
- StdAttachments
- StructuredTypeStrings
- SuperAccessors
- SyntheticMethods
- Tags
- TreeCheckers
- TypeDiagnostics
- TypeStrings
- Typers
- TypersStats
- TypersTracking
- Unapplies

t

scala.tools.nsc.typechecker

# Typers

###

#### trait Typers extends Adaptations with Tags with TypersTracking with PatternTypers

This trait provides methods to assign types to trees.

Self Type
  Analyzer
Source
  Typers.scala
Version

  1.0

Linear Supertypes
PatternTypers, TypersTracking, Tags, Adaptations, AnyRef, Any
Known Subclasses
erasure, treeChecker, ScaladocAnalyzer, CommentPreservingTypers, InteractiveAnalyzer, Erasure, Duplicator, SpecializationDuplicator, Analyzer, Duplicators, TreeCheckers
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Typers
2. PatternTypers
3. TypersTracking
4. Tags
5. Adaptations
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  trait Adaptation extends AnyRef
   Definition Classes
     Adaptations
2.  trait PatternTyper extends AnyRef
   Definition Classes
     PatternTypers
3.  trait Tag extends AnyRef
   Definition Classes
     Tags
4.  sealed abstract class SilentResult[+T] extends AnyRef
5.  case class SilentResultValue[+T](value: T) extends Analyzer.SilentResult[T] with Product with Serializable
6.  class SilentTypeError extends Analyzer.SilentResult[Nothing]
7.  abstract class Typer extends Analyzer.TyperDiagnostics with Analyzer.Adaptation with Analyzer.Tag with Analyzer.PatternTyper with Analyzer.TyperContextErrors

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Typers toany2stringadd[Typers] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Typers, B)
   Implicit
     This member is added by an implicit conversion from Typers toArrowAssoc[Typers] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (Typers) => Boolean, msg: => Any): Typers
   Implicit
     This member is added by an implicit conversion from Typers toEnsuring[Typers] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Typers) => Boolean): Typers
   Implicit
     This member is added by an implicit conversion from Typers toEnsuring[Typers] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): Typers
    Implicit
      This member is added by an implicit conversion from Typers toEnsuring[Typers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Typers
    Implicit
      This member is added by an implicit conversion from Typers toEnsuring[Typers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  final def finishComputeParamAlias(): Unit

    Finish computation of param aliases after typechecking is completed

16.  final def forArgMode(fun: Global.Tree, mode: Mode): reflect.internal.Mode
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Typers toStringFormat[Typers] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  def freshNameCreatorFor(context: Analyzer.Context): FreshNameCreator
19.  def fullSiteString(context: Analyzer.Context): String
    Definition Classes
      TypersTracking
20.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  val lastTreeToTyper: Global.Tree
    Definition Classes
      TypersTracking
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  def newTyper(context: Analyzer.Context): Analyzer.Typer
26.  def noPrintAdapt(tree1: Global.Tree, tree2: Global.Tree): Boolean
    Definition Classes
      TypersTracking
27.  def noPrintTyping(t: Global.Tree): Boolean
    Definition Classes
      TypersTracking
28.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  def printingOk(t: Global.Tree): Boolean
    Definition Classes
      TypersTracking
31.  def resetDocComments(): Unit
32.  def resetTyper(): Unit
33.  final val shortenImports: Boolean(false)
34.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
35.  def toString(): String
    Definition Classes
      AnyRef → Any
36.  def tpe_s(tp: Global.Type, colorize: (String) => String): String
    Definition Classes
      TypersTracking
37.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
38.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
39.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
40.  object SilentTypeError
41.  object checkNoEscaping extends Global.TypeMap

    Check that type of given tree does not contain local or private components.

42.  object typingStack
    Definition Classes
      TypersTracking

### Deprecated Value Members

1.  def →[B](y: B): (Typers, B)
   Implicit
     This member is added by an implicit conversion from Typers toArrowAssoc[Typers] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from PatternTypers

### Inherited from TypersTracking

### Inherited from Tags

### Inherited from Adaptations

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromTypers to any2stringadd[Typers]

### Inherited by implicit conversion StringFormat fromTypers to StringFormat[Typers]

### Inherited by implicit conversion Ensuring fromTypers to Ensuring[Typers]

### Inherited by implicit conversion ArrowAssoc fromTypers to ArrowAssoc[Typers]

### Ungrouped